Skip to main content
GET
Core - List runs
Related guide: Experiments guide. See the Experiments guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string
required

ID of the experiment.

Query Parameters

limit
integer<int32>

Page size, 1 to 200. Defaults to 25.

starting_after
string

Cursor for forward pagination. Set to the run_id of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Set to the run_id of the first item from the previous page.

include_metrics
boolean

Include each run's average evaluator results in metrics.

Response

OK

data
object[]

Page of runs, newest first.

has_more
boolean

Whether more runs are available in the selected pagination direction.